data:extend({

  {
    type = "recipe",
    name = "fill-water-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "b[fill-water-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/fill-water-barrel.png",
    ingredients =
    {
      {type="fluid", name="water", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="water-barrel", amount=1}
    }
  },
  {
    type = "recipe",
    name = "empty-water-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "c[empty-water-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/empty-water-barrel.png",
    ingredients =
    {
      {type="item", name="water-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="water", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },
  
  {
    type = "recipe",
    name = "fill-heavy-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "bx[fill-heavy-oil-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/fill-heavy-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="heavy-oil", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    }
  },
  {
    type = "recipe",
    name = "empty-heavy-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "cx[empty-heavy-oil-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/empty-heavy-oil-barrel.png",
    ingredients =
    {
      {type="item", name="heavy-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="heavy-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },
  
  {
    type = "recipe",
    name = "fill-light-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "bz[fill-light-oil-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/fill-light-oil-barrel.png",
    ingredients =
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="light-oil-barrel", amount=1}
    }
  },
  {
    type = "recipe",
    name = "empty-light-oil-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "cz[empty-light-oil-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/empty-light-oil-barrel.png",
    ingredients =
    {
      {type="item", name="light-oil-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="light-oil", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },
  
  {
    type = "recipe",
    name = "fill-lubricant-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "bz[fill-lubricant-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/fill-lubricant-barrel.png",
    ingredients =
    {
      {type="fluid", name="lubricant", amount=25},
      {type="item", name="empty-barrel", amount=1},
    },
    results=
    {
      {type="item", name="lubricant-barrel", amount=1}
    }
  },
  {
    type = "recipe",
    name = "empty-lubricant-barrel",
    category = "crafting-with-fluid",
    energy_required = 1,
    subgroup = "barrel",
    order = "cz[empty-lubricant-barrel]",
    enabled = "false",
    icon = "__Kassa Industries__/graphics/icons/fluid/empty-lubricant-barrel.png",
    ingredients =
    {
      {type="item", name="lubricant-barrel", amount=1}
    },
    results=
    {
      {type="fluid", name="lubricant", amount=25},
      {type="item", name="empty-barrel", amount=1}
    }
  },

})